GBP-PULL(1)

NAME
gbp-pull - Safely update a repository from remote

SYNOPSIS

gbp pull [ --verbose ] [ --force ] [ --redo-pq ] [ --[no-]pristine-tar ] [ --ignore-branch ] [ --debian-branch=branch_name ] [ --upstream-branch=branch_name ] [ --depth=depth ]

DESCRIPTION

gbp pull updates the debian, upstream and pristine-tar branches from a remote repository in one go. It checks if the update is safe (would result in a fast-forward merge) and aborts otherwise.

OPTIONS

--force
    force a branch update even if this results in a non fast forward update.

    Warning: Forcing a branch update makes you lose your modifications.

--redo-pq
    also rebuild the corresponding patch-queue using gbp pq.

    Warning: This drops the patch-queue branch if it exists.

--ignore-branch
    Don't care if we're on a branch or in detached head state.

--debian-branch=branch_name
    The branch in the Git repository the Debian package is being developed on, default is master.

--upstream-branch=branch_name
    The branch in the Git repository the upstream sources are put onto. Default is upstream.

--depth=depth
    Git history depth, for deepening shallow git clones.

--verbose

-v  verbose execution

--pristine-tar
    Whether to update the pristine-tar branch too.

EXIT CODES

When gbp pull finishes it indicates success or failure with it's exit code:

0   Success.

1   An error occured during the pull, see the printed error message for details.

2   At least one branch couldn't be fast forwarded.

CONFIGURATION FILES

Several gbp.conf files are parsed to set defaults for the above commandline arguments. See the gbp.conf(5) manpage for details.

SEE ALSO

gbp-buildpackage(1), gbp-clone(1), gbp-pq(1), gbp.conf(5)

AUTHOR

Guido Guenther <agx@sigxcpu.org>